Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanServerDelegate

    java.lang.Object
      |
      +--javax.management.MBeanServerDelegate

All Implemented Interfaces:
  MBeanServerDelegateMBean, NotificationBroadcaster

Direct Known Subclasses:
  ExtendedMBeanServerDelegate

public class MBeanServerDelegate
extends java.lang.Object
implements MBeanServerDelegateMBean, NotificationBroadcaster

Represents the Mbean server from the management point of view. The MBeanServerDelegate MBean emits the MBeanServerNotifications when an MBean is registered/deregistered in the MBean server.

Author:
  Young Yang

Field Summary
`protected static ObjectName` | `delegateObjectName`
`protected long` | `sequence`

Constructor Summary
`MBeanServerDelegate()`

Method Summary
`void` | `addNotificationListener(NotificationListener listener, NotificationFilter filter, java.lang.Object handback)` Enables to add a listener to a registered MBean.
`java.lang.String` | `getImplementationName()` Returns the JMX implementation name (the name of this product).
`java.lang.String` | `getImplementationVendor()` Returns the JMX implementation vendor (the vendor of this product).
`java.lang.String` | `getImplementationVersion()` Returns the JMX implementation version (the version of this product).
`java.lang.String` | `getMBeanServerId()` Returns the MBean server agent identification
`MBeanNotificationInfo[]` | `getNotificationInfo()` Returns a NotificationInfo object contaning the name of the Java class of the notification and the notification types sent. as extension, add the ExtendedMBeanServerNotification
`java.lang.String` | `getSpecificationName()` Returns the full name of the JMX specification implemented by this product.
`java.lang.String` | `getSpecificationVendor()` Returns the vendor of the JMX specification implemented by this product.
`java.lang.String` | `getSpecificationVersion()` Returns the version of the JMX specification implemented by this product.
`void` | `removeNotificationListener(NotificationListener listener)` Enables to remove a listener from a registered MBean.
`void` | `sendNotification(Notification notification)` Enables the MBean server to send a notification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegateObjectName

    protected static ObjectName delegateObjectName

### sequence

    protected long sequence

Constructor Detail

### MBeanServerDelegate

    public MBeanServerDelegate()

Method Detail

### getMBeanServerId

    public java.lang.String getMBeanServerId()

  Returns the MBean server agent identification
  Specified by:
    `getMBeanServerId` in interface `MBeanServerDelegateMBean`

### getSpecificationName

    public java.lang.String getSpecificationName()

  Returns the full name of the JMX specification implemented by this product.
  Specified by:
    `getSpecificationName` in interface `MBeanServerDelegateMBean`

### getSpecificationVersion

    public java.lang.String getSpecificationVersion()

  Returns the version of the JMX specification implemented by this product.
  Specified by:
    `getSpecificationVersion` in interface `MBeanServerDelegateMBean`

### getSpecificationVendor

    public java.lang.String getSpecificationVendor()

  Returns the vendor of the JMX specification implemented by this product.
  Specified by:
    `getSpecificationVendor` in interface `MBeanServerDelegateMBean`

### getImplementationName

    public java.lang.String getImplementationName()

  Returns the JMX implementation name (the name of this product).
  Specified by:
    `getImplementationName` in interface `MBeanServerDelegateMBean`

### getImplementationVersion

    public java.lang.String getImplementationVersion()

  Returns the JMX implementation version (the version of this product).
  Specified by:
    `getImplementationVersion` in interface `MBeanServerDelegateMBean`

### getImplementationVendor

    public java.lang.String getImplementationVendor()

  Returns the JMX implementation vendor (the vendor of this product).
  Specified by:
    `getImplementationVendor` in interface `MBeanServerDelegateMBean`

### addNotificationListener

    public void addNotificationListener(NotificationListener listener,
                                        NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws java.lang.IllegalArgumentException

  Enables to add a listener to a registered MBean.
  Specified by:
    `addNotificationListener` in interface `NotificationBroadcaster`
  Parameters:
    `listener` - The listener object which will handle the notifications emitted by the registered MBean.
    `filter` - The filter object. If filter is null, no filtering will be performed before handling notifications.
    `handback` - The context to be sent to the listener when a notification is emitted.
  Throws:
    `java.lang.IllegalArgumentException` - Listener parameter is null.

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Enables to remove a listener from a registered MBean.
  Specified by:
    `removeNotificationListener` in interface `NotificationBroadcaster`
  Parameters:
    `listener` - The listener object which will handle the notifications emitted by the registered MBean. This method will remove all the information related to this listener.
  Throws:
    `ListenerNotFoundException` - The listener is not registered in the MBean.

### sendNotification

    public void sendNotification(Notification notification)

  Enables the MBean server to send a notification.
  Parameters:
    `notification` - The notification to send.

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Returns a NotificationInfo object contaning the name of the Java class of the notification and the notification types sent. as extension, add the ExtendedMBeanServerNotification
  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD